<?php
/**
 * N3Download (Nesquik Download)
 *
 * Система представляет собой скрипт загруз-центра
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: N3squ1k (Несквик)
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

/* Запускаем сессии */
session_start();

/* Уровень вывода ошибок */
if ($_SERVER['REMOTE_ADDR'] == '127.0.0.1') {
	error_reporting(E_ALL & ~E_NOTICE);
} else {
	error_reporting(0);
}

define('TIMESTART', microtime(true));
define('SYSTEM', str_replace(array('\\', '//'), '/', dirname(__FILE__)).'/');

/* Подключаем файл с фукнциями */
if (file_exists(SYSTEM.'function.php')) {
	require_once (SYSTEM.'function.php');
} else {
	exit ('Немогу подключить файл с настройками!');
}

/* Подключаем файл с настройками */
if (file_exists(SYSTEM.'config.php')) {
	require_once (SYSTEM.'config.php');
} else {
	exit ('Немогу подключить файл с настройками!');
}

/* Подключение к базе данных MYSQL */
mysql_connect (DATAHOST, DATAUSER, DATAPASS) or die('Немогу подключиться к серверу!');
mysql_select_db (DATABASE) or die('Немогу подключиться к базе данных!');

/* Кодировка MYSQL по умолчанию */
mysql_query("SET NAMES 'UTF8'");

/* Задаем кодировку по умолчанию для iconv */
iconv_set_encoding('internal_encoding', 'UTF-8');

/* Задаем имена таблицам */
define('FILES', SQLprefixTable.'files');

/* Проверяем и фильтруем переменные */
$id = isset($_GET['id']) ? abs(intval($_GET['id'])) : false;
$act = isset($_GET['act']) ? trim($_GET['act']) : false;

/* Настройки системы */
$sql = mysql_query("SELECT * FROM `".SQLprefixTable."settings` WHERE `id`='1'");

if (mysql_num_rows($sql)) {
	$set = mysql_fetch_assoc($sql);
} else {
	error('Не установлены настройки скрипта!');
}

/* Авторизация администратора */
function admin ($login, $password) {
	if ($login == ADMIN_LOGIN && $password == ADMIN_PASSWORD) {
		return true;
	}
	else {
		unset($login, $password);
		return false;
	}
}

$admin = admin($_SESSION['login'], $_SESSION['password']);
?>